API de Cita de Google Scholar
Obtén citas formateadas para un artículo de Google Scholar en múltiples estilos, además de enlaces de exportación para BibTeX, EndNote, RefMan y RefWorks. Configura engine=google_scholar_cite y pasa el ID de cita del artículo en q.
Endpoint
Sección titulada «Endpoint» GET https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY
Parameters
Sección titulada «Parameters»| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Tu clave de API de SERP |
engine | string | yes | Debe ser google_scholar_cite |
q | string | yes | El ID de cita de Google Scholar |
Example request
Sección titulada «Example request»curl "https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY&q=FDc6HiktlqEJ"import requests
params = { "engine": "google_scholar_cite", "api_key": "YOUR_API_KEY", "q": "FDc6HiktlqEJ",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar_cite', api_key: 'YOUR_API_KEY', q: 'FDc6HiktlqEJ',});const data = await (await fetch(url)).json();Example response
Sección titulada «Example response»{ "search_parameters": { "engine": "google_scholar_cite", "google_domain": "scholar.google.com", "device": "desktop", "query": "FDc6HiktlqEJ" }, "citations": [ { "title": "MLA", "snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438." }, { "title": "APA", "snippet": "Schwertmann, U. T. R. M., & Taylor, R. M. (1989). Iron oxides. Minerals in soil environments, 1, 379-438." }, { "title": "Chicago", "snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438." } ], "links": [ { "name": "BibTeX", "link": "https://scholar.googleusercontent.com/scholar.bib?..." }, { "name": "EndNote", "link": "https://scholar.googleusercontent.com/scholar.enw?..." }, { "name": "RefMan", "link": "https://scholar.googleusercontent.com/scholar.ris?..." }, { "name": "RefWorks", "link": "https://scholar.googleusercontent.com/scholar.rfw?..." } ]}